class WebWindow {
  void setTitle(String title) {}

  void redirectTo(String url) {}

  String currentHref() {
    return '';
  }

  String currentSearch() {
    return '';
  }

  void alert(String message) {}

  void close() {}

  bool hasOpener() {
    return false;
  }

  bool redirectOpenerTo(String url) {
    return false;
  }
}

final webWindow = WebWindow();
